Bug 316181 - ipmitool buffer overflow [NEEDINFO]
ipmitool buffer overflow
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 17:05 EDT by Andreas Thienemann
Modified: 2009-12-10 15:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsafrane: needinfo? (athienem)

Attachments (Terms of Use)
backtrace (4.20 KB, text/plain)
2007-10-02 17:05 EDT, Andreas Thienemann
no flags Details
Backtrace with debuginfo package installed (2.59 KB, text/plain)
2007-10-02 17:11 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Andreas Thienemann 2007-10-02 17:05:32 EDT
Description of problem:
When running ipmitool tsol a buffer overflow terminates the application on data

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. local: ipmitool -I lan -H tsol
2. remote: echo foo > /tmp/ttyS1
3. local: watch ipmitool crash an burn
Actual results:
*** buffer overflow detected ***: ipmitool terminated

Expected results:
serial console output

Additional info:
This happens on rawhide as well as fc7 as well as rhel5-csb
Comment 1 Andreas Thienemann 2007-10-02 17:05:32 EDT
Created attachment 213971 [details]
Comment 2 Andreas Thienemann 2007-10-02 17:11:46 EDT
Created attachment 214011 [details]
Backtrace with debuginfo package installed
Comment 3 Bug Zapper 2008-05-13 23:19:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Jan Safranek 2009-05-15 04:01:46 EDT
I inherited ipmitool from Phil Knirsch a while ago. Is the bug still reproducible with newer imitool from Fedora 10 and/or Rawhide? And do we have internally some system where I can test it? I know some systems which support 'ipmitool sol', but I don't know any with Tyan IPMIv1.5 Serial-over-LAN support.

Thanks in advance.
Comment 5 Bug Zapper 2009-06-09 18:54:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 11:38:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Shad L. Lords 2009-12-10 15:28:43 EST
This bug is reproducible on RHEL5.4 with all updates as of 12/10/09.  See bug 546386 for more information.

Note You need to log in before you can comment on or make changes to this bug.